Bug 508510 - Review Request: python-Scriptaculous - Scriptaculous packaged as TurboGears widgets.
Summary: Review Request: python-Scriptaculous - Scriptaculous packaged as TurboGears w...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 508511
TreeView+ depends on / blocked
 
Reported: 2009-06-28 04:25 UTC by Itamar Reis Peixoto
Modified: 2009-08-05 17:25 UTC (History)
3 users (show)

Fixed In Version: 1.8.2-2.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-16 06:54:29 UTC
panemade: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Itamar Reis Peixoto 2009-06-28 04:25:44 UTC
Spec URL: http://ispbrasil.com.br/python-Scriptaculous/python-Scriptaculous.spec
SRPM URL: http://ispbrasil.com.br/python-Scriptaculous/python-Scriptaculous-1.8.2-1.fc11.src.rpm

Description: Scriptaculous packaged as TurboGears widgets.

koji scratch build -> http://koji.fedoraproject.org/koji/taskinfo?taskID=1439466

Comment 1 Parag AN(पराग) 2009-06-29 09:17:20 UTC
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1439466
+ rpmlint output for SRPM and for RPM.
python-Scriptaculous.noarch: E: zero-length /usr/lib/python2.6/site-packages/Scriptaculous-1.8.2-py2.6.egg-info/not-zip-safe
==> can be ignored I guess as these are zero length files.
+ source files match upstream url
f01e40103607f5255e624e216c2bd1d52e86435a  Scriptaculous-1.8.2.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI application

Sugeestions:
1) Source URL should be
 http://pypi.python.org/packages/source/L/Scriptaculous/Scriptaculous-%{version}.tar.gz

2) %doc should be
%doc README.txt PKG-INFO

3) Why there is some comments related to LICENSE file? Remove that.

4) Change %define to %global

Comment 2 Parag AN(पराग) 2009-07-06 15:55:04 UTC
ping?

Comment 3 Itamar Reis Peixoto 2009-07-06 16:03:39 UTC
pong

please hold, I will do this today.

Comment 5 Parag AN(पराग) 2009-07-07 04:38:28 UTC
APPROVED.

Comment 6 Itamar Reis Peixoto 2009-07-10 02:46:06 UTC
New Package CVS Request
=======================
Package Name: python-Scriptaculous
Short Description: Scriptaculous packaged as TurboGears widgets
Owners: itamarjp
Branches: F-10 F-11 EL-5
InitialCC:

Comment 7 Jason Tibbitts 2009-07-10 03:43:35 UTC
CVS done.

Comment 8 Fedora Update System 2009-07-10 04:12:00 UTC
python-Scriptaculous-1.8.2-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-Scriptaculous-1.8.2-2.fc11

Comment 9 Fedora Update System 2009-07-10 04:12:43 UTC
python-Scriptaculous-1.8.2-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-Scriptaculous-1.8.2-2.fc10

Comment 10 Fedora Update System 2009-07-10 04:17:27 UTC
python-Scriptaculous-1.8.2-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/python-Scriptaculous-1.8.2-2.el5

Comment 11 Fedora Update System 2009-07-10 23:16:13 UTC
python-Scriptaculous-1.8.2-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-Scriptaculous'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0043

Comment 12 Fedora Update System 2009-07-16 06:54:24 UTC
python-Scriptaculous-1.8.2-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-07-16 07:18:30 UTC
python-Scriptaculous-1.8.2-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2009-08-05 17:25:17 UTC
python-Scriptaculous-1.8.2-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.